Subject: RE: Record-Route and Route header clarification

From: "Donovan, Steven R." <[email-masked]>
Date: Tue, 27 Apr 1999 13:18:25 -0000

Anders,

After drafting a well thought out and exhaustive defense for including the
>From URI in the called user agents route list when the INVITE does not
contain a Contact header, I realized that you are correct.  Including the
>From URI in the route list would be redundant, as the SPS1 would route to
User A in either case (given that the From URI will be in the To URI for the
subsequent requests).

Good point...

Steve

-----Original Message-----
From: Anders Kristensen [mailto:[email-masked]]
Sent: Tuesday, April 27, 1999 6:58 AM
To: Donovan, Steven R.
Cc: [email-masked]'
Subject: Re: Record-Route and Route header clarification

> "Donovan, Steven R." wrote:
> 
> The purpose of the Record-Route and Route headers is to ensure that
> SIP requests for an established session and the ACK request resulting
> from the INVITE, 200 OK message pair get routed through interested
> proxy servers.  The correct routing needs to occur in both directions,
> both when the request comes from the calling user agent and when it
> comes from the called user agent.
> 

Nice explanation of the problem. I have one small question...

> 
> SCENARIO TWO (No contact included in INVITE message)
> ------------
> 
> User A        SPS1         SPS2         SPS3          B2
>    ------------>------------>------------>------------>
>    Invite SPS1  Invite SPS2  Invite SPS3  Invite B2
>    F:User A     F:User A     F:User A     F:User A
>    T:User B     T:User B     T:User B     T:User B
>    Q:1 INVITE   Q:1 INVITE   Q:1 INVITE   Q:1 INVITE
>    I:1@A        I:1@A        I:1@A        I:1@A
>                 RR:(SPS1)    RR:(SPS1)    RR:(SPS3,
>                                               SPS1)
> 
>   At this point User B will store the Route SPS3,SPS1,User A

As there was no Contact in the INVITE, shouldn't B omit A from its
stored route, i.e. store the route SPS3,SPS1 and leave it to SPS1 to do
the final routing to A?

-- 
Anders Kristensen <[email-masked]>,
http://www-uk.hpl.hp.com/people/ak/
Hewlett-Packard Labs, Bristol, UK